Bug 651264 (CVE-2010-3880) - CVE-2010-3880 kernel: logic error in INET_DIAG bytecode auditing
Summary: CVE-2010-3880 kernel: logic error in INET_DIAG bytecode auditing
Keywords:
Status: NEW
Alias: CVE-2010-3880
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 651265 651266 651267 651268 651269
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-09 05:57 UTC by Eugene Teo (Security Response)
Modified: 2019-09-29 12:40 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0958 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2010-12-08 19:08:55 UTC
Red Hat Product Errata RHSA-2011:0004 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2011-01-04 16:52:05 UTC
Red Hat Product Errata RHSA-2011:0007 normal SHIPPED_LIVE Important: kernel security and bug fix update 2011-01-11 19:44:55 UTC

Description Eugene Teo (Security Response) 2010-11-09 05:57:03 UTC
Description of problem:
INET-DIAG is inconsistent about how it looks up the bytecode contained in a
netlink message, making it possible for a user to cause the kernel to execute
unaudited INET-DIAG bytecode. This can be abused to make the kernel enter an infinite loop, and possibly other consequences.

Reference:
http://www.spinics.net/lists/netdev/msg145899.html

Acknowledgements:

Red Hat would like to thank Nelson Elhage for reporting this issue.

Comment 3 Eugene Teo (Security Response) 2010-11-22 06:06:33 UTC
Statement:

This issue did not affect the version of Linux kernel as shipped with Red Hat Enterprise Linux 4 as it did not include support for monitoring of INET transport protocol sockets. Future updates in Red Hat Enterprise Linux 5, 6 and Red Hat Enterprise MRG may address this flaw.

Comment 4 Eugene Teo (Security Response) 2010-11-22 13:24:13 UTC
Upstream commit:
http://git.kernel.org/linus/22e76c849d505d87c5ecf3d3e6742a65f0ff4860

Comment 5 Kyle McMartin 2010-11-23 16:18:58 UTC
Thanks, grabbed this Fedora.

Comment 6 errata-xmlrpc 2010-12-08 19:09:42 UTC
This issue has been addressed in following products:

  MRG for RHEL-5

Via RHSA-2010:0958 https://rhn.redhat.com/errata/RHSA-2010-0958.html

Comment 8 errata-xmlrpc 2011-01-04 16:53:05 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2011:0004 https://rhn.redhat.com/errata/RHSA-2011-0004.html

Comment 9 errata-xmlrpc 2011-01-11 19:45:43 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0007 https://rhn.redhat.com/errata/RHSA-2011-0007.html


Note You need to log in before you can comment on or make changes to this bug.